#!/bin/sh
# $Id: t-dnserr-0.sh,v 1.2 2013/12/29 01:28:34 ca Exp $
#
# ----------------------------------------
# run t-dnstsk-0 with various parameters/arguments to test error handling.
# ----------------------------------------
#

#
SD=`dirname $0`
if test "${SD}" = "."
then
   SD=../
fi
. ${SD}/common.sh

TPRG=./t-dnstsk-0
rm -f $OUT

# Hack... need an IP address which does not respond to DNS
NN="127.1.2.3"

# some domains to test
DOMAINS="aol.com esmtp.org"
for i in ${DOMAINS}
do
  # check the output?
  if ${TPRG} -w 2 -t 3000 -i ${NN} ${i} >$OUT 2>&1
  then
    if grep 'ret=query timed out' ${OUT} >/dev/null
    then
      :
    else
      echo "$0: lookup $i: not timed out."
      ERRS=`expr ${ERRS} + 1 `
    fi
  else
    echo "$0: test lookup of $i failed."
    ERRS=`expr ${ERRS} + 1 `
  fi
done

if test ${ERRS} -gt 0
then
  $VERBOSE && echo "$0: ${ERRS} errors"
  exit 1
fi
rm -f $OUT
exit 0
