#!/bin/sh
# $Id: t-mcp-1.sh,v 1.18 2013/12/23 01:21:29 ca Exp $
# Copyright (c) 2003, 2004 Sendmail, Inc. and its suppliers.
#	All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#

OUT=mcp.out
RPLY=clt.out
CONF=mcp.conf1
SOCK=127.0.0.1
PORT=1357

SD=`dirname $0`
if test "${SD}" = "."
then
   SD=../mcp
fi
. ${SD}/common.sh

rm -f ${PIDS} ${OUT} ${RPLY}

cat > ${CONF} <<EOF
inout {
	listen_socket { type=inet; port = ${PORT}; }
	start_action = nostartaccept;
	processes_min = 1;
	processes_max = 1;
	user = ${USER};
	path = ./inout;
	arguments = "inout";
}
EOF

./mcp -D -t -d ${CONF} > ${OUT} 2>&1 &
echo $! >> ${PIDS}

sleep 3

# connect to it?
../misc/t-unixcl -r -p ${PORT} ${SOCK} >${RPLY} 2>/dev/null <<EOF
ABCDEFz
EOF
ST=$?

if test ${ST} -ne 0
then
  ERRS=`expr ${ERRS} + 1 `
  ${VERBOSE} && echo "t-unixcl: expected=0, got=${ST}"
fi

sleep 1
WC=`wc -c < ${RPLY} | sed -e 's/ //g'`
if test "X"${WC} != X6
then
  ERRS=`expr ${ERRS} + 1 `
  ${VERBOSE} && echo "wc: expected=6, got=${WC}"
fi

stopit
test ${ERRS} -eq 0 && rm -f inout.log ${OUT} ${RPLY} ${PIDS} ${CONF} ${SOCK}

exit ${ERRS}
