#!/bin/sh
# $Id: t-restart-all-0.sh,v 1.4 2013/12/22 15:38:17 ca Exp $
#
# ----------------------------------------
# test restart functionality of mcp: restart all processes
# ----------------------------------------

L1=restart.log
L2=restart2.log
SD=`dirname $0`
if test "${SD}" = "."
then
   SD=../mcp
fi
. ${SD}/common.sh

rm -f ${PIDS} ${OUT} ${PIDF1} ${PIDF2} ${L1} ${L2}

cat > ${CONF} <<EOF
restart {
	start_action = wait;
	processes_min = 1;
	processes_max = 1;
	user = ${USER};
	path = ./t-restart;
	arguments = "t-restart -p ${PIDF1} -f ${R1} -n 3 -VV";
}
restart2 {
	start_action = wait;
	processes_min = 1;
	processes_max = 1;
	user = ${USER};
	path = ./t-restart;
	arguments = "t-restart -p ${PIDF2} -f ${R2} -n 2 -VV -Ao -s 2";
}
EOF

echo 0 > ${R1}
echo 0 > ${R2}
./mcp -D -t -dddd ${CONF} > ${OUT} 2>&1 &
echo $! >> ${PIDS}

waitforfile ${PIDF1}
waitforfile ${PIDF2}

i=0
while test ${i} -le 2
do
  if grep 'asked' ${OUT} >/dev/null
  then
     break
  fi
  sleep 3
  i=`expr ${i} + 1 `
done

# give it time to restart
sleep 3

CNT=2
for F in ${R1} ${R2}
do
if test -s ${F}
then
  C=`cat ${F}`
  if test ${C} -ne ${CNT}
  then
    ${VERBOSE} && echo "counter ${F} wrong: got ${C}, expected ${CNT}"
    ERRS=`expr ${ERRS} + 1 `
  fi
else
  ${VERBOSE} && echo "missing ${F}"
  ERRS=`expr ${ERRS} + 1 `
fi
done

stopit
testend
