#!/bin/sh
# $Id: t-restart-dep-0.sh,v 1.6 2013/12/22 15:19:48 ca Exp $
#
# Copyright (c) 2010 Claus Assmann
#
# By using this file, you agree to the terms and conditions set
# forth in the license/LICENSE.3C file which can be found at the
# top level of this source code distribution.
#
# ----------------------------------------
# test restart functionality of mcp: restart "server" process too
# ----------------------------------------

SD=`dirname $0`
if test "${SD}" = "."
then
   SD=../mcp
fi
L1=restart.log
L2=restart2.log
. ${SD}/common.sh

cat > ${CONF} <<EOF
restart {
	start_action = wait;
	processes_min = 1;
	processes_max = 1;
	user = ${USER};
	restart_dependencies = {restart2};
	path = ./t-restart;
	arguments = "t-restart -p ${PIDF1} -f ${R1} -n 3 -VV";
}
restart2 {
	start_action = wait;
	processes_min = 1;
	processes_max = 1;
	user = ${USER};
	path = ./t-restart;
	arguments = "t-restart -p ${PIDF2} -f ${R2} -n 2 -VV -Ro -s 2";
}
EOF

echo 0 > ${R1}
echo 0 > ${R2}
./mcp -D -t -dddd ${CONF} > ${OUT} 2>&1 &
echo $! >> ${PIDS}

waitforfile ${PIDF1}
waitforfile ${PIDF2}

i=0
while test ${i} -le 2
do
  if grep 'asked' ${OUT} >/dev/null
  then
     break
  fi
  sleep 3
  i=`expr ${i} + 1 `
done

# give it time to restart
sleep 3

CNT=2
for F in ${R1} ${R2}
do
if test -s ${F}
then
  C=`cat ${F}`
  if test ${C} -ne ${CNT}
  then
    ${VERBOSE} && echo "counter ${F} wrong: got ${C}, expected ${CNT}"
    ERRS=`expr ${ERRS} + 1 `
  fi
else
  ${VERBOSE} && echo "missing ${F}"
  ERRS=`expr ${ERRS} + 1 `
fi
done

stopit
testend
