#!/bin/sh
# $Id: t-async-0.sh,v 1.10 2013/09/22 05:11:45 ca Exp $
#
# ------------------------------------------------------------
# Description:
# test new implementation of async lookups
# ------------------------------------------------------------
#

if test X"${MTA_NO_DNS_TEST}" != "X"
then
  echo "SKIPPED: $0"
  exit 0
fi

TPRG=./t-async-0
SD=`dirname $0`
if test "${SD}" = "."
then
   SD=../smar
fi
. ${SD}/common.sh

CONF=smar.conf
RMTMP=true

${TPRG} -h 2>&1 | grep SKIP && exit 0

if test X"`uname`" != "XOSF1"
then
while getopts kV FLAG
do
  case "${FLAG}" in
    k) RMTMP=false;;
    V) VERBOSE=true;;
  esac
done
shift `expr ${OPTIND} - 1`
fi

rm -f ${ACCMAP} ${SOCK} ${PIDS}

# create access map for tests
${MM} -t'	' -F ${ACCMAP} <<EOF
meta1dnsbl:127.0.0.1	error:550 5.7.1 found 127.0.0.1 in meta1dnsbl
meta1dnsbl:127.0.0.2	error:550 5.7.2 found 127.0.0.2 in meta1dnsbl
cltaddr:127.0.0.3	ok
meta1dnsbl:127.0.0.3	error:550 5.7.3 found 127.0.0.3 in meta1dnsbl
EOF

# create aliases map
[ -s ${ALIMAP} ] || ${MM} </dev/null

cat > ${CONF} <<EOF
smar {
  Log_Level = 12;
  DNS_timeout = 5;
  dnsbl { domain = dnsbl.meta1.org.; tag = "meta1dnsbl"; }
  dnsbl { domain = bl.meta1.org.; tag = "meta1bl"; }
  dnsbl { domain = all.meta1.org.; tag = "meta1all"; }
}
EOF

TEST=1
# ----------------------------------------
# test:
${VALGRIND} ${TPRG} -i ${NS} '127.0.0.2' > ${OUT} 2>&1
if grep 'func=t_smar_res, status=550' ${OUT} >/dev/null
then
  :
else
  ERRS=`expr ${ERRS} + 1 `
  echo "$0: test ${TEST} failed."
  ${VERBOSE} && echo ${TEST} failed
fi


if test ${ERRS} -eq 0
then
  ${RMTMP} && rm -f ${OUT} ${CONF}
fi

exit ${ERRS}
